ros-humble-launch-testing (1.0.7-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-humble-launch-testing (1.0.6-1jammy) jammy; urgency=high

  * Add consider_namespace_packages=False (#766 <https://github.com/ros2/launch/issues/766>) (#777 <https://github.com/ros2/launch/issues/777>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 May 2024 05:00:00 -0000

ros-humble-launch-testing (1.0.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 16 Feb 2024 06:00:00 -0000

ros-humble-launch-testing (1.0.4-1jammy) jammy; urgency=high

  * Allow ReadyToTest() usage in event handler (#681 <https://github.com/ros2/launch/issues/681>)
  * Inherit markers from generate_test_description (#670 <https://github.com/ros2/launch/issues/670>) (#674 <https://github.com/ros2/launch/issues/674>)
  * Contributors: Nikolai Morin, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-launch-testing (1.0.3-1jammy) jammy; urgency=high

  * Fix Typo (#641 <https://github.com/ros2/launch/issues/641>) (#644 <https://github.com/ros2/launch/issues/644>)
  * Switch to using a comprehension for process_names. (#614 <https://github.com/ros2/launch/issues/614>) (#615 <https://github.com/ros2/launch/issues/615>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Oct 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.0-1jammy) jammy; urgency=high

  * Removed the deprecated ready_fn feature (#589 <https://github.com/ros2/launch/issues/589>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (0.23.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-humble-launch-testing (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-launch-testing (0.21.1-1jammy) jammy; urgency=high

  * Added case for instances of ExecuteLocal in resolveProcess function (#587 <https://github.com/ros2/launch/issues/587>)
  * Add compatitibility with pytest 7 (#592 <https://github.com/ros2/launch/issues/592>)
  * Contributors: Matt Lanting, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-launch-testing (0.21.0-1jammy) jammy; urgency=high

  * Renamed three files from example_processes (#573 <https://github.com/ros2/launch/issues/573>)
  * Fix launch_testing README.md proc keyword to process. (#554 <https://github.com/ros2/launch/issues/554>) (#560 <https://github.com/ros2/launch/issues/560>)
  * Contributors: Jacob Perron, Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-launch-testing (0.20.0-1jammy) jammy; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * Add a "hello world" style example (#532 <https://github.com/ros2/launch/issues/532>)
  * Contributors: Aditya Pande, Audrow Nash, Christophe Bedard, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 06:00:00 -0000

ros-humble-launch-testing (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Jul 2021 05:00:00 -0000

ros-humble-launch-testing (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Jun 2021 05:00:00 -0000

ros-humble-launch-testing (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-launch-testing (0.16.0-1jammy) jammy; urgency=high

  * Use unittest.mock instead of mock (#487 <https://github.com/ros2/launch/issues/487>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 19 Mar 2021 05:00:00 -0000

ros-humble-launch-testing (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-launch-testing (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-humble-launch-testing (0.13.0-1jammy) jammy; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Nov 2020 06:00:00 -0000

ros-humble-launch-testing (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.11.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.11.0-1jammy) jammy; urgency=high

  * Disable cleanup of test cases once they have been run (#406 <https://github.com/ros2/launch/issues/406>)
  * Fix max() with empty sequence (#440 <https://github.com/ros2/launch/issues/440>)
  * Use unittest.TestCase.id() for pytest failure reprs. (#436 <https://github.com/ros2/launch/issues/436>)
  * Use unittest.TestCase.id() to put together jUnit XML output. (#435 <https://github.com/ros2/launch/issues/435>)
  * Claim ownership (#433 <https://github.com/ros2/launch/issues/433>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Scott K Logan, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 04 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.10.2-1jammy) jammy; urgency=high

  * Set junit_family to xunit2 in pytest.ini
  * Stop using implicit variables in example testing.
  * Switch to from_parent to remove deprecation warning.
  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Remove uses of deprecated ready_fn. (#419 <https://github.com/ros2/launch/issues/419>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-launch-testing (0.10.1-1jammy) jammy; urgency=high

  * fixed depcrecation warning of imp to importlib (issue #387 <https://github.com/ros2/launch/issues/387>) (#407 <https://github.com/ros2/launch/issues/407>)
  * wait_for_ouput() repr includes actual text (#408 <https://github.com/ros2/launch/issues/408>)
  * Contributors: Shane Loretz, Zahi Kakish

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-humble-launch-testing (0.10.0-1jammy) jammy; urgency=high

  * Improve jUnit output for launch tests when run with py.test (#404 <https://github.com/ros2/launch/issues/404>)
  * avoid deprecation warning, use from_parent (#402 <https://github.com/ros2/launch/issues/402>)
  * Warn that old-style ready_fn and test attributes will be deprecated (#346 <https://github.com/ros2/launch/issues/346>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * stop using constructors deprecated in pytest 5.4 (#391 <https://github.com/ros2/launch/issues/391>)
  * Add the ability to assert in stdout or stderr. (#378 <https://github.com/ros2/launch/issues/378>)
  * Add delay parameter to retry_on_failure decorator (#390 <https://github.com/ros2/launch/issues/390>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Import test file without contaminating sys.modules (#360 <https://github.com/ros2/launch/issues/360>)
  * Update reference to example launch test file (#363 <https://github.com/ros2/launch/issues/363>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Fix a documentation typo. (#361 <https://github.com/ros2/launch/issues/361>)
  * Fix junit XML when launch dies early (#358 <https://github.com/ros2/launch/issues/358>)
  * Contributors: Chris Lalancette, Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Peter Baughman, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 05:00:00 -0000

ros-humble-launch-testing (0.9.5-1jammy) jammy; urgency=high

  * Make launch_testing.markers.retry_on_failure decorator more robust. (#352 <https://github.com/ros2/launch/issues/352>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-humble-launch-testing (0.9.4-1jammy) jammy; urgency=high

  * Fix a small typo in the launch_testing README. (#351 <https://github.com/ros2/launch/issues/351>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-humble-launch-testing (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-launch-testing (0.9.2-1jammy) jammy; urgency=high

  * Support launch test reruns when using pytest (#348 <https://github.com/ros2/launch/issues/348>)
  * Support CLI commands testing (#279 <https://github.com/ros2/launch/issues/279>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-launch-testing (0.9.1-1jammy) jammy; urgency=high

  * Optionally remove ready fn arg from generate_test_description (#322 <https://github.com/ros2/launch/issues/322>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-humble-launch-testing (0.9.0-1jammy) jammy; urgency=high

  * install package manifest (#330 <https://github.com/ros2/launch/issues/330>)
  * Unindent setup.cfg options. (#326 <https://github.com/ros2/launch/issues/326>)
  * Use renamed remove_ansi_escape_sequences. (#302 <https://github.com/ros2/launch/issues/302>)0
  * Enable launch test discovery in pytest (#312 <https://github.com/ros2/launch/issues/312>)
  * Support LaunchService injection into pre-shutdown tests. (#308 <https://github.com/ros2/launch/issues/308>)
  * Add assertWaitForStartup method to match assertWaitForShutdown (#278 <https://github.com/ros2/launch/issues/278>)
  * Fix a simple typo in an error message. (#301 <https://github.com/ros2/launch/issues/301>)
  * Fix launch_testing output filtering (#296 <https://github.com/ros2/launch/issues/296>)
  * Revert "Revert "[execute_process] emulate_tty configurable and defaults to true"" (#277 <https://github.com/ros2/launch/issues/277>)
  * Fix formatting (#262 <https://github.com/ros2/launch/issues/262>)
  * Fix proc lookup for processes with multiple command-line arguments (#229 <https://github.com/ros2/launch/issues/229>)
  * Remove ros domain ID dependency (#256 <https://github.com/ros2/launch/issues/256>)
  * Contributors: Chris Lalancette, Dirk Thomas, Esteve Fernandez, Michel Hidalgo, Peter Baughman, William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 18 Sep 2019 05:00:00 -0000

ros-humble-launch-testing (0.8.3-1jammy) jammy; urgency=high

  * Changed behavior to use ``--isolated`` if no ``ROS_DOMAIN_ID`` is set to help parallel testing. (#251 <https://github.com/ros2/launch/issues/251>)
  * Contributors: Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-launch-testing (0.8.2-1jammy) jammy; urgency=high

  * add non-asserting waitFor method (#243 <https://github.com/ros2/launch/issues/243>)
  * Enable reuse of launch testing functionality (#236 <https://github.com/ros2/launch/issues/236>)
  * Stop randomizing ROS_DOMAIN_ID by default in launch tests (#240 <https://github.com/ros2/launch/issues/240>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-launch-testing (0.8.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-launch-testing (0.8.0-1jammy) jammy; urgency=high

  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed test_env_testing test (#200 <https://github.com/ros2/launch/issues/200>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Contributors: Dirk Thomas, Michel Hidalgo, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-humble-launch-testing (0.7.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-humble-launch-testing (0.7.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-humble-launch-testing (0.7.1-1jammy) jammy; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-humble-launch-testing (0.7.0-1jammy) jammy; urgency=high

  * Fixed lint warnings from invalid escape sequences (#151 <https://github.com/ros2/launch/issues/151>)
    Use raw strings for regex patterns to avoid warnings.
  * Fixed linter errors from #131 <https://github.com/ros2/launch/issues/131>. (#132 <https://github.com/ros2/launch/issues/132>)
  * Added class to provide some limitted testing options (#131 <https://github.com/ros2/launch/issues/131>)
  * Moved ``launch_testing`` into ``launch_testing.legacy`` namespace (#130 <https://github.com/ros2/launch/issues/130>)
  * Contributors: Dirk Thomas, Jacob Perron, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-humble-launch-testing (0.6.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Aug 2018 05:00:00 -0000

ros-humble-launch-testing (0.5.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-humble-launch-testing (0.5.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-humble-launch-testing (0.5.0-1jammy) jammy; urgency=high

  * Updated to use new launch.legacy namespace (#73 <https://github.com/ros2/launch/issues/73>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Jun 2018 05:00:00 -0000


